# -*- encoding : utf-8 -*-
require "awesome_print"
class Admin::PriceLinesController < ApplicationController
  layout "admin"
  before_action :auth_admin, :except => [:edit, :update]

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @price_lines = PriceLine.order(:name).all

  end

  def show
    @price_line = PriceLine.find(params[:id])

  end

  def new
    @price_line = PriceLine.new
  
  end

  def edit
    @price_line = PriceLine.find(params[:id])
    
  end

  def create
    @price_line = PriceLine.new(params.require(:price_line).permit!)

    if @price_line.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @price_line = PriceLine.find(params[:id])

    if @price_line.update_attributes(params.require(:price_line).permit!)

    else
     render action: "edit" 
    end
      
  end


  def destroy
    @price_line = PriceLine.find(params[:id])
    @price_line.destroy
    
  end

  def add_p_article
    @price_line = PriceLine.find(params[:price_line_id])
    # @p_article = PArticle.new#@price_line.p_articles.build
    # @p_article_serial_nums = @p_article.p_article_serial_nums.build
  end

  def add_price_line_p_article
    @price_line = PriceLine.find(params[:price_line_id])
  end
end
